# Uses of Class
org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode

Packages that use OptNode
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of OptNode in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return OptNode
Modifier and Type
Method
Description
`OptNode`
OptTreePlanMapping.`getOptNode(long id)`
`OptNode`
OptTree.`getRoot()`
`static OptNode`
OptTreeConverter.`rCreateAbstractOptNode(StatementBlock sb, ProgramBlock pb, LocalVariableMap vars, boolean topLevel, OptTreePlanMapping hlMap, Set<String> memo)`
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return types with arguments of type OptNode
Modifier and Type
Method
Description
`static ArrayList<OptNode>`
OptTreeConverter.`createAbstractOptNodes(ArrayList<Hop> hops, LocalVariableMap vars, OptTreePlanMapping hlMap, Set<String> memo)`
`List<OptNode>`
OptNode.`getChilds()`
`Collection<OptNode>`
OptNode.`getNodeList()`
`Collection<OptNode>`
OptNode.`getNodeList(OptNode.ExecType et)`
`Collection<OptNode>`
OptNode.`getRelevantNodeList()`
`static List<OptNode>`
OptTreeConverter.`rCreateAbstractOptNodes(Hop hop, LocalVariableMap vars, OptTreePlanMapping hlMap, Set<String> memo)`
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode
Modifier and Type
Method
Description
`void`
OptNode.`addChild(OptNode child)`
`boolean`
OptNode.`exchangeChild(OptNode oldNode, OptNode newNode)`
`double`
CostEstimator.`getEstimate(CostEstimator.TestMeasure measure, OptNode node)`
Main estimation method.
`double`
CostEstimator.`getEstimate(CostEstimator.TestMeasure measure, OptNode node, boolean inclCondPart)`
`double`
CostEstimator.`getEstimate(CostEstimator.TestMeasure measure, OptNode node, boolean inclCondPart, Collection<String> vars, CostEstimator.ExcludeType extype)`
`double`
CostEstimator.`getEstimate(CostEstimator.TestMeasure measure, OptNode node, Types.ExecType et)`
Main estimation method.
`abstract double`
CostEstimator.`getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node)`
Main leaf node estimation method - to be overwritten by specific cost estimators
`abstract double`
CostEstimator.`getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node, Types.ExecType et)`
Main leaf node estimation method - to be overwritten by specific cost estimators
`double`
CostEstimatorHops.`getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node)`
`double`
CostEstimatorHops.`getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node, Types.ExecType et)`
`double`
CostEstimatorRuntime.`getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node)`
`double`
CostEstimatorRuntime.`getLeafNodeEstimate(CostEstimator.TestMeasure measure, OptNode node, Types.ExecType et)`
`long`
OptTreePlanMapping.`putHopMapping(Hop hops, OptNode n)`
`long`
OptTreePlanMapping.`putProgMapping(StatementBlock sb, ProgramBlock pb, OptNode n)`
`void`
OptTreePlanMapping.`replaceMapping(ProgramBlock pb, OptNode n)`
`static void`
OptTreeConverter.`replaceProgramBlock(OptNode parent, OptNode n, ProgramBlock pbOld, ProgramBlock pbNew, OptTreePlanMapping hlMap)`
`void`
OptTree.`setRoot(OptNode n)`
Method parameters in org.apache.sysds.runtime.controlprogram.parfor.opt with type arguments of type OptNode
Modifier and Type
Method
Description
`void`
OptNode.`addChilds(List<OptNode> childs)`
`void`
OptNode.`setChilds(List<OptNode> childs)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode
Modifier
Constructor
Description
``
`OptTree(int ck, double cm, OptNode node)`
``
`OptTree(int ck, double cm, OptNode node, OptTreePlanMapping hlMap)`